Bug 749673 - eclipse-mylyn: Build Eclipse Mylyn code review integration
eclipse-mylyn: Build Eclipse Mylyn code review integration
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: eclipse-mylyn (Show other bugs)
19
All Linux
medium Severity medium
: ---
: ---
Assigned To: Alexander Kurtakov
Fedora Extras Quality Assurance
:
Depends On: 749833 837942
Blocks:
  Show dependency treegraph
 
Reported: 2011-10-27 16:55 EDT by Andrew Robinson
Modified: 2015-02-18 08:38 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-18 08:38:21 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Andrew Robinson 2011-10-27 16:55:23 EDT
Spec URL: http://arobinso.fedorapeople.org/eclipse-mylyn-reviews.spec
SRPM URL: http://arobinso.fedorapeople.org/eclipse-mylyn-reviews-3.6.2-1.fc17.src.rpm
Description: Framework for code review integration for Eclipse Mylyn.

Rpmlint output: 
1 packages and 0 specfiles checked; 0 errors, 0 warnings.
Comment 1 Alexander Kurtakov 2011-10-28 03:58:33 EDT
* Is org.eclipse.mylyn.reviews.tasks not build on purpose?
* google-gson and antlr jars are used during the build process but not symlinked in install, please verify that you're not shipping bundled copies
Comment 2 Severin Gehwolf 2011-11-02 09:47:49 EDT
I'll take this one.
Comment 3 Severin Gehwolf 2011-11-02 21:01:52 EDT
Nice work!

Like Alex said, any thoughts as to why the org.eclipse.mylyn.reviews.tasks feature is not being built as part of this package?

Other comments:

1. Please add symlink for eclipse-mylyn-reviews (not sure if antlr is needed)
   gson on the other hand is required so please add it. As far as I can tell
   there are no bundled copies.
2. Please add BuildArch: noarch. This is a noarch package. Otherwise you get
   an empty debuginfo package.

Other than that it looks really good. Thanks!
Comment 4 Severin Gehwolf 2011-11-09 14:59:20 EST
Andrew, any update on this one?
Comment 5 Andrew Robinson 2011-11-09 15:02:53 EST
I talked about this with Alex but this is blocking:
https://bugzilla.redhat.com/show_bug.cgi?id=749833
Comment 6 Alexander Kurtakov 2012-06-13 10:27:56 EDT
Andrew, would you please update it to the latest upstream?
Severin, do  you still want to do the review?
Comment 7 Severin Gehwolf 2012-07-17 04:03:12 EDT
Sure, I can still do the review. Keep 'em comming :-)
Comment 8 Krzysztof Daniel 2012-07-25 11:06:51 EDT
Review here is not required. eclipse-mylyn package reflects now the upstream build and it is one big package for entire mylyn. The source for reviews is there, but it is not built.
Comment 9 Fedora Admin XMLRPC Client 2013-02-21 05:55:53 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 10 Fedora End Of Life 2013-04-03 15:54:15 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 19 development cycle.
Changing version to '19'.

(As we did not run this process for some time, it could affect also pre-Fedora 19 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 19 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora19
Comment 12 Fedora End Of Life 2015-01-09 16:53:38 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 13 Fedora End Of Life 2015-02-18 08:38:21 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.